import { NativeModules } from 'react-native';
import { FluentAdFlowWidgetView } from './fluent-adflow-widget';
import DebugLogger from './DebugLogger';

// Safely access FluentAdFlowSdkManager
const FluentAdFlowSdkManager = NativeModules.FluentAdFlowSdkManager || {
  initSdk: () => {
    DebugLogger.logMessage('FluentAdFlowSdkManager is not available.');
    return Promise.reject(
      new Error('FluentAdFlowSdkManager is not available.')
    );
  },
};

export class FluentAdFlowWidget {
  /**
   * Initialize the FluentAdFlow SDK.
   * @param {string} apiKey - API key for initialization.
   * @param {string} [referrer] - Optional referrer value.
   */
  static init(apiKey: string, referrer?: string): Promise<void> {
    return FluentAdFlowSdkManager.initSdk(apiKey, referrer);
  }
}

export { FluentAdFlowWidgetView };
